LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAnnotationEnumeration Interface Reference

An enumeration for a set of annotations. More...

`import"XAnnotationEnumeration.idl";`

## Public Member Functions
boolean | hasMoreElements ()
| tests whether this enumeration contains more elements. More...
XAnnotation | nextElement () raises ( com::sun::star::container::NoSuchElementException )

## Detailed Description

An enumeration for a set of annotations.

## Member Function Documentation

## ◆ hasMoreElements()

boolean hasMoreElements | ( |  | ) |

tests whether this enumeration contains more elements.

## ◆ nextElement()

XAnnotation nextElement | ( |  | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Returns
  the next element of this enumeration.

Exceptions

  NoSuchElementException | if no more elements exist.

The documentation for this interface was generated from the following file:

- com/sun/star/office/XAnnotationEnumeration.idl